function y=omega
global t_ ts_ tss_ dx_ dy_ mp_ r0_
t=t_;
ts=ts_;
tss=tss_;
dx=dx_;
dy=dy_;
mp=mp_;
r0=r0_;


vrx(1)=(dx(2)-dx(1))/(t(2)-t(1));
vry(1)=(dy(2)-dy(1))/(t(2)-t(1));
for j=2:mp-1
vrx(j)=(dx(j+1)-dx(j-1))/(t(j+1)-t(j-1));
vry(j)=(dy(j+1)-dy(j-1))/(t(j+1)-t(j-1));
end
vrx(mp)=(dx(mp)-dx(mp-1))/(t(mp)-t(mp-1));
vry(mp)=(dy(mp)-dy(mp-1))/(t(mp)-t(mp-1));


%vry=diff(dy)./diff(t);
%vrx=diff(dx)./diff(t);
vrx=vrx(1:mp-1);
vry=vry(1:mp-1);
vr=sqrt(vry.^2+vrx.^2);
svy=sign(vry);
svx=sign(vrx);
svv=svx.*svy;
sy=sign(dy(1:mp-1));
sx=sign(dx(1:mp-1));
ss=sx.*sy;

omr=vr/r0;


for j=1:mp-1,

%close all

% 1st quarter x,y>0
if (sx(j)>0 & sy(j)>0) & (svx(j)<0),
   omr(j)=omr(j);
end
if (sx(j)>0 & sy(j)>0) & (svx(j)>=0),
   omr(j)=-omr(j);
end

% 2nd quarter x<0 & y>0
if (sx(j)<0 & sy(j)>0) & (svx(j)<0),
   omr(j)=omr(j);
end
if (sx(j)<0 & sy(j)>0) & (svx(j)>=0),
   omr(j)=-omr(j);
end

% 3rd quarter x,y<0
if (sx(j)<0 & sy(j)<0) & (svx(j)>0),
   omr(j)=omr(j);
end
if (sx(j)<0 & sy(j)<0) & (svx(j)<=0),
   omr(j)=-omr(j);
end

% 4th quarter x>0 & y<0
if (sx(j)>0 & sy(j)<0) & (svx(j)>0),
   omr(j)=omr(j);
end
if (sx(j)>0 & sy(j)<0) & (svx(j)<=0),
   omr(j)=-omr(j);
end
end


% examination for badly identified double points
for j=2:mp-3,
if omr(j-1)<0 & omr(j+2)<0 & omr(j)>0 & omr(j+1)>0,
    omr(j)=-abs(omr(j));
    omr(j+1)=-abs(omr(j+1));
end
if omr(j-1)>0 & omr(j+2)>0 & omr(j)<0 & omr(j+1)<0,
    omr(j)=abs(omr(j));
    omr(j+1)=abs(omr(j+1));
end
end


% examination for badly identified single points
for j=2:mp-2,
if omr(j-1)<0 & omr(j+1)<0 & omr(j)>0,
    omr(j)=-abs(omr(j));
end

if omr(j-1)>0 & omr(j+1)>0 & omr(j)<0,
    omr(j)=abs(omr(j));
end
end


y=[tss omr'];



